<?php
# **********************************************************************************************
# phpLivePacker
#
# Copyright 2013 Christian Bartl (phplivepacker.bartlweb.net)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# This notice must appear in all copies of the script.


# phplivepacker-dev.php
#
# process css files in development mode
# *********************************************************************************************

 

/* ------------------------------------------------------------------------------------------------------------
   include libraries
------------------------------------------------------------------------------------------------------------ */

require_once "lib/phplivepacker-lib.php";


/* ------------------------------------------------------------------------------------------------------------
	generate livepacker object and read config
------------------------------------------------------------------------------------------------------------ */

$phplivepacker = new phplivepacker('conf/phplivepacker.ini', 'default');

// process parameters
$phplivepacker->processParameters();

// configure output
$phplivepacker->setHttpHeaderFiletype();
$phplivepacker->setGzipCompression();

// get config
$conf = $phplivepacker->getConfig('debug');

/* ------------------------------------------------------------------------------------------------------------
	generate content (there is no caching for single file output in development mode)
------------------------------------------------------------------------------------------------------------ */

// determine real file path
$relpath = $_GET['file'];
$realfile = $phplivepacker->getRealPath($relpath, 'filesystem', true);

// get file content
if(file_exists($realfile)) {
	$content = file_get_contents($realfile);
} else {
	exit('Error: Requested file could not be found.');
}

// rewrite image urls
$content = $phplivepacker->clearCSS($content, $relpath);

// minify content
if($conf['developmentModeMinify']) {
	$content = $phplivepacker->minifyContent($content);
}

// return content
print($content);

 ?>