<?php
# **********************************************************************************************
# phpLivePacker
#
# Copyright 2013 Christian Bartl (phplivepacker.bartlweb.net)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# This notice must appear in all copies of the script.


# phplivepacker-imagearray.php
#
# get image array
# *********************************************************************************************

 

/* ------------------------------------------------------------------------------------------------------------
   include libraries
------------------------------------------------------------------------------------------------------------ */

require_once "lib/phplivepacker-lib.php";
require_once "lib/browserdetection-lib.php";


/* ------------------------------------------------------------------------------------------------------------
	generate livepacker object and read config
------------------------------------------------------------------------------------------------------------ */

$phplivepacker = new phplivepacker('conf/phplivepacker.ini', 'default');

// process parameters
$phplivepacker->processParameters();

// configure output
$phplivepacker->setHttpHeaderFiletype();
$phplivepacker->setGzipCompression();


/* ------------------------------------------------------------------------------------------------------------
	detect browser
------------------------------------------------------------------------------------------------------------ */

$browserdetection = new browserdetection(null, $phplivepacker->getConfig(null));

// detect browser
$phplivepacker->setBrowserInformation($browserdetection->getBrowserInformation());


/* ------------------------------------------------------------------------------------------------------------
	generate content (there is no caching for single file output in development mode)
------------------------------------------------------------------------------------------------------------ */

// determine filename through set and browser
$file = $phplivepacker->getCacheFileNameImageArray();

// get file content
if(file_exists($file)) {
	$content = file_get_contents($file);
} else {
	exit('/* Error: Requested image array was not generated yet - call phplivepacker for css files first. */');
}

// return content
print($content);

 ?>